Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Class TransactionEntryCRUD

    java.lang.Object
      com.beasys.commerce.ebusiness.payment.TransactionEntryCRUD

Deprecated

    @Deprecated
    public class TransactionEntryCRUD

extends Object

CRUD for entity bean TransactionEntry

Constructor Summary
`TransactionEntryCRUD()` Deprecated

Method Summary
`static void` | `create(Connection connection, Object key)` Deprecated Creates a single row in the database, ONLY using primary key information.
`static void` | `delete(Connection connection, Object key)` Deprecated Deletes a single row in the database, ONLY using primary key information.
`static boolean` | `exists(Connection connection, Object key)` Deprecated Deletes a single row in the database, ONLY using primary key information.
`static void` | `refresh(Connection connection, Object key, Object target)` Deprecated Updates the datbase, using using primary key information in the where clause.
`static void` | `refreshDirect(Connection connection, Object key, Object target)` Deprecated Refresh from database, using primary key information in the where clause.
`static void` | `update(Connection connection, Object key, Object source)` Deprecated Updates the datbase, using using primary key information in the where clause.
`static void` | `updateDirect(Connection connection, Object key, Object source)` Deprecated Updates the database, using primary key information in the where clause.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionEntryCRUD

    public TransactionEntryCRUD()

  Deprecated

Method Detail

### create

    public static void create(Connection connection,
                              Object key)
                       throws BMPException

  Deprecated
  Creates a single row in the database, ONLY using primary key information. The database provides well-defined default values for the non-null fields.

  Parameters
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.
  Throws
    `BMPException`

### refresh

    public static void refresh(Connection connection,
                               Object key,
                               Object target)
                        throws BMPException

  Deprecated
  Updates the datbase, using using primary key information in the where clause.

  Parameters
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.
  Throws
    `BMPException`

### update

    public static void update(Connection connection,
                              Object key,
                              Object source)
                       throws BMPException

  Deprecated
  Updates the datbase, using using primary key information in the where clause.

  Parameters
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.
  Throws
    `BMPException`

### delete

    public static void delete(Connection connection,
                              Object key)
                       throws BMPException

  Deprecated
  Deletes a single row in the database, ONLY using primary key information.

  Parameters
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.
  Throws
    `BMPException`

### exists

    public static boolean exists(Connection connection,
                                 Object key)
                          throws BMPException

  Deprecated
  Deletes a single row in the database, ONLY using primary key information.

  Parameters
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.
  Throws
    `BMPException`

### updateDirect

    public static void updateDirect(Connection connection,
                                    Object key,
                                    Object source)
                             throws BMPException

  Deprecated
  Updates the database, using primary key information in the where clause.

  Parameters
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.
  Throws
    `BMPException`

### refreshDirect

    public static void refreshDirect(Connection connection,
                                     Object key,
                                     Object target)
                              throws BMPException

  Deprecated
  Refresh from database, using primary key information in the where clause.

  Parameters
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.
  Throws
    `BMPException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.